- Main Page
- Related Pages
- Modules
- Files

Functions
GLM_GTC_noise
GTC Extensions (Stable)

## Functions
template<typename T , template< typename > class vecType>
T | perlin (vecType< T > const &p)
template<typename T , template< typename > class vecType>
T | perlin (vecType< T > const &p, vecType< T > const &rep)
template<typename T , template< typename > class vecType>
T | simplex (vecType< T > const &p)

## Detailed Description

Defines 2D, 3D and 4D procedural noise functions Based on the work of Stefan Gustavson and Ashima Arts on "webgl-noise": https://github.com/ashima/webgl-noise Following Stefan Gustavson's paper "Simplex noise demystified": http://www.itn.liu.se/~stegu/simplexnoise/simplexnoise.pdf <glm/gtc/noise.hpp> need to be included to use these functionalities.

## Function Documentation

T glm::perlin | ( | vecType< T > const & | p | ) |

Classic perlin noise.

See Also
  GLM_GTC_noise

T glm::perlin | ( | vecType< T > const & | p,
|  | vecType< T > const & | rep
| ) |  |

Periodic perlin noise.

See Also
  GLM_GTC_noise

T glm::simplex | ( | vecType< T > const & | p | ) |

Simplex noise.

See Also
  GLM_GTC_noise